Sync Slack Release
POST
/api/agents/slack/sync-release
const url = 'https://example.com/api/agents/slack/sync-release';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"agent_name":"example","version":"example","environment":"example","action":"example","workflow_run_id":"example","workflow_name":"example","workflow_run_url":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/agents/slack/sync-release \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "agent_name": "example", "version": "example", "environment": "example", "action": "example", "workflow_run_id": "example", "workflow_name": "example", "workflow_run_url": "example" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
SlackReleaseSyncRequest
object
agent_name
required
Agent Name
Logical agent name
string
version
required
Version
Concrete version such as v4
string
environment
required
Environment
Target environment, such as dev, test, or prod
string
action
required
Action
Slack lifecycle action: activate or delete
string
Examplegenerated
{ "agent_name": "example", "version": "example", "environment": "example", "action": "example", "workflow_run_id": "example", "workflow_name": "example", "workflow_run_url": "example"}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Examplegenerated
exampleValidation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}